Tspi_PcrComposite_SelectPcrIndex(3)

NAME
Tspi_PcrComposite_SelectPcrIndex- select a PCR index inside a PCR composite object.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_PcrComposite_SelectPcrIndex(TSS_HPCRS hPcrComposite, UINT32 ulPcrIndex);

DESCRIPTION

Tspi_PcrComposite_SelectPcrIndex selects a PCR index inside a PCR composite object. The PCR composite object must be created withthe function Tspi_Context_CreateObject(). An exampled for the usage is the selection of PCR registeres before calling Tspi_TPM_Quote().

PARAMETERS

  hPcrComposite
Handle of the PCR composite object instance where the index should be selected.

  ulPcrIndex
This parameter indicates the index of the PCR to select.

RETURN CODES

Tspi_PcrComposite_SelectPcrIndex returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE - Either hPcrComposite or ulPcrIndex is an invalid handle.

TSS_E_INTERNAL_ERROR - An error occurred internal to the TSS.

CONFORMING TO

Tspi_PcrComposite_SelectPcrIndex conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_Quote(3), Tspi_PcrComposite_SetPcrValue(3), Tspi_PcrComposite_GetPcrValue(3).